/*
 * Copyright (c) 2001 by Pankaj Kumar.  All Rights Reserved.
 *
 * This program is open source software; you may use, copy, modify, and
 * redistribute it under the terms of the LICENSE with which it was
 * originally distributed. The LICENSE or reference to the LICENSE
 * can be found in file LICENSE.txt in the base directory of distributed
 * software.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * LICENSE for more details.
 */
package org.xperf.xpb;

import java.util.Map;
import java.util.HashMap;
import java.util.Iterator;

public class PMethodIterator implements Iterator
  {
  Iterator paIterator = null;
  Iterator pmIterator = null;

  PMethodIterator(HashMap paMap, String paName)
	{
	PActivity  pa = null;
	if (paName.equals("all"))
	  {
	  paIterator = paMap.entrySet().iterator();
	  if (paIterator.hasNext())
		pa = (PActivity)((Map.Entry)paIterator.next()).getValue();
	  }
	else
	  pa = (PActivity)paMap.get(paName);
	if (pa != null)
	  pmIterator = pa.methods.entrySet().iterator();
	}
  public boolean hasNext()
	{
	if (pmIterator != null && pmIterator.hasNext())
	  return true;
    else if (paIterator != null && paIterator.hasNext())
	  {
	  PActivity pa = (PActivity)((Map.Entry)paIterator.next()).getValue();
	  pmIterator = pa.methods.entrySet().iterator();
	  return pmIterator.hasNext();
	  }
	return false;
	}
  public Object next()
	{
	return ((Map.Entry)pmIterator.next()).getValue();
	}
  public void remove()	{ }
  }
