/*
 * Copyright (c) 2001 by Pankaj Kumar.  All Rights Reserved.
 *
 * This program is open source software; you may use, copy, modify, and
 * redistribute it under the terms of the LICENSE with which it was
 * originally distributed. The LICENSE or reference to the LICENSE
 * can be found in file LICENSE.txt in the base directory of distributed
 * software.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * LICENSE for more details.
 */
package org.xperf.xpb.xstat.cocoon;

import org.xperf.xpb.xstat.XMLStat;
import org.xperf.xpb.Processor;
import org.xperf.xpb.Result;
import org.xperf.xpb.XPBException;

import org.apache.cocoon.Main;
import java.util.HashMap;

public class C2Processor implements Processor
  {
  HashMap args = null;
  public Result process(String xmlFile) throws XPBException
    {
	XMLStat stat = new XMLStat();
	StatXTransformer.setXMLStat(stat);

	String[] args = new String[3];
	args[0] = xmlFile;
	args[1] = "--logLevel";
	args[2] = "ERROR";

	try
	  {
	  Main.main(args);
      }
    catch (Exception e)
      {
	  throw new XPBException("C2Processor:: Cocoon invocation failed. Exception: " + e);
	  }

	return stat;
    }
  public void   setup(HashMap map)
    {
	}
  }
