package org.xperf.xpb.xstat.xslt;

import java.util.Stack;
import java.util.EmptyStackException;

import org.xperf.xpb.xstat.XMLStat;
import org.xml.sax.*;
import org.xml.sax.helpers.DefaultHandler;

public class StatCollector extends DefaultHandler
  {
  private static XMLStat stat = new XMLStat();
  private static String lastname = null;

  public static void setXMLStat(XMLStat astat)
    {
	stat = astat;
    }
  public static void element(String name, String parent)
    {
	if (name == null || name.length() == 0)
	  return;
	stat.addElem(name);
	if (parent == null || parent.length() == 0)
	  stat.setRoot(name);
	else
	  {
	  stat.incParentCount(name, parent);
      stat.incChildCount(parent, name);
      }
    lastname = name;
  	//System.out.println("name=" + name + ", parent=" + parent);
	}
  public static void attribute(String attr)
    {
	stat.incAttrCount(lastname, attr);
	//System.out.println("name=" + lastname + ", attr=" + attr);
	}
  public static void text(String s)
    {
	stat.addCharCount(lastname, s.length());
	//System.out.println("name=" + lastname + ", len=" + s.length());
	}
  }

